# Registration Deadlines Registration Deadlines ## Gets all of the registration deadlines in the system. - [GET /registrationDeadlines/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/listregistrationdeadlines.md): This method will scan all registration deadlines and and return them to the caller. ## Creates a new registration deadline record that does not already exist. - [POST /registrationDeadlines/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/createregistrationdeadline.md): This method will auto-generate an ID and create a new registration deadline. If an ID is specified for the registration deadline, an error will be thrown. ## Execute Batch Operations - [POST /registrationDeadlines/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a registration deadline from the system by its ID. - [DELETE /registrationDeadlines/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/deleteregistrationdeadline.md): This method will delete a registration deadline with the specified ID. ## Returns a registration deadline from the system by its ID. - [GET /registrationDeadlines/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/getregistrationdeadline.md): This method will look up a registration deadline by the specified ID and return it back. ## Partially updates a registration deadline with the specified ID. - [PATCH /registrationDeadlines/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/patchregistrationdeadline.md): This method will patch an existing registration deadline with the specified ID, using the HTTP PATCH specification. ## Updates a registration deadline with the specified ID. - [PUT /registrationDeadlines/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-deadlines/updateregistrationdeadline.md): This method will update an existing registration deadline with the specified ID.